# Not gitmodules

---

# Why this?

1. This is how simple gitmodules should be. Add and remove modules without caring about irrelevant stuff. No shitshow,
   just simplicity.
2. Production-use friendly. Which is documented in the LISENSE.
3. No third-party libs needed, only built-in tools used.
4. OS-agnostic. Written in Python, which means this can be used in any type of projects that are supposed to run on
   Linux.

---   

# Installation

- Git clone
- Pip install `pip install not-gitmodules`

---
# Usage

Create a `notgitmodules.yaml` file in your root directory

1. Example with code:

```yaml
repos:
  # directory: url (ssh or https)

  # example
  file_reader: https://github.com/Free-Apps-for-All/file_manager_git_module
```

Then pass it to `initializer` function:

```python
from not_gitmodules import initializer

initializer('/path/to/notgitmodules.yaml')
```

2. Example with CLI




--- 

# Possible issues with private repositories

If cloning failed, but you have access to the repository, try to provide HTTPS repo-url instead of SSH
in `notgitmodules.yaml`.

---

# That's it!

No more waste of time with index, .git, metadata, which actually offer no trade.

---

# Author

Armen-Jean Andreasian, 2024

---
# License

This project is licensed under the Custom License. See the [LICENSE](./LICENSE) file for details.

- You may use the project for commercial or personal purposes.
- You may not claim ownership of the project.

